/* DESKTOP (padrão) */
.diferenciais-lista {
    max-width: 100%;
}

/* só limita um pouco em telas grandes se quiser estética */
@media (min-width: 992px) {
    .diferenciais-lista {
        max-width: 90%;
    }
}

/* MOBILE */
@media (max-width: 768px) {
    .diferenciais-lista {
        max-width: 100%;
    }
}